RCONSOLE(1)

NAME
rfoo-rconsole - remote Python console with auto completion, which can be used to inspect and modify the namespace of a running script.

DESCRIPTION
Start remote console:

rfoo-rconsole [-h] [-pPORT]

-h, --help Print this help.

-pPORT Set PORT (54321 by default).

SETUP
To invoke it in a Python script do:

from rfoo.utils import rconsole

rconsole.spawn_server()

Security note
The rconsole listener started with rfoo.utils.rconsole.spawn_server() will accept any local connection and may therefore be insecure to use in shared hosting or similar environments!